Module ij
Package ij.plugin

# Class ZProjector

java.lang.Object
ij.plugin.ZProjector

All Implemented Interfaces:
  `PlugIn`

public class ZProjector extends Object implements PlugIn
This plugin performs a z-projection of the input stack. Type of output image is same as type of input image.

Author:
  Patrick Kelly invalid input: '<'phkelly@ucsd.edu>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AVG_METHOD`
`static final String`
`lutMessage`
`static final int`
`MAX_METHOD`
`static final int`
`MEDIAN_METHOD`
`static final String[]`
`METHODS`
`static final int`
`MIN_METHOD`
`static final int`
`SD_METHOD`
`static final int`
`SUM_METHOD`

## Constructor Summary

Constructors
Constructor
Description
`ZProjector()`
`ZProjector(ImagePlus imp)`
Construction of ZProjector with image to be projected.

## Method Summary

Modifier and Type
Method
Description
`protected GenericDialog`
`buildControlDialog(int start, int stop)`
Builds dialog to query users for projection parameters.
`void`
`doHyperStackProjection(boolean allTimeFrames)`
`void`
`doProjection()`
Performs actual projection using specified method.
`void`
`doProjection(boolean handleOverlay)`
Performs actual projection using specified method.
`void`
`doRGBProjection()`
`void`
`doRGBProjection(boolean handleOverlay)`
`ImagePlus`
`getProjection()`
Retrieve results of most recent projection operation.
`static ImagePlus`
`run(ImagePlus imp, String method)`
Performs projection on the entire stack using the specified method and returns the result, where 'method' is "avg", "min", "max", "sum", "sd" or "median".
`static ImagePlus`
`run(ImagePlus imp, String method, int startSlice, int stopSlice)`
Performs projection using the specified method and stack range, and returns the result, where 'method' is "avg", "min", "max", "sum", "sd" or "median".
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`void`
`run2(ImagePlus img, String arg)`
`void`
`setImage(ImagePlus imp)`
Explicitly set image to be projected.
`void`
`setMethod(int projMethod)`
`void`
`setStartSlice(int slice)`
`void`
`setStopSlice(int slice)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### AVG_METHOD

public static final int AVG_METHOD

See Also:
  - Constant Field Values

### MAX_METHOD

public static final int MAX_METHOD

See Also:
  - Constant Field Values

### MIN_METHOD

public static final int MIN_METHOD

See Also:
  - Constant Field Values

### SUM_METHOD

public static final int SUM_METHOD

See Also:
  - Constant Field Values

### SD_METHOD

public static final int SD_METHOD

See Also:
  - Constant Field Values

### MEDIAN_METHOD

public static final int MEDIAN_METHOD

See Also:
  - Constant Field Values

### METHODS

public static final String[] METHODS

### lutMessage

public static final String lutMessage

See Also:
  - Constant Field Values

## Constructor Details

### ZProjector

public ZProjector()

### ZProjector

public ZProjector(ImagePlus imp)
Construction of ZProjector with image to be projected.

## Method Details

### run

public static ImagePlus run(ImagePlus imp, String method)
Performs projection on the entire stack using the specified method and returns the result, where 'method' is "avg", "min", "max", "sum", "sd" or "median". Add " all" to 'method' to project all hyperstack time points.

### run

public static ImagePlus run(ImagePlus imp, String method, int startSlice, int stopSlice)
Performs projection using the specified method and stack range, and returns the result, where 'method' is "avg", "min", "max", "sum", "sd" or "median". Add " all" to 'method' to project all hyperstack time points.
Example: http://imagej.nih.gov/ij/macros/js/ProjectionDemo.js

### setImage

public void setImage(ImagePlus imp)
Explicitly set image to be projected. This is useful if ZProjection_ object is to be used not as a plugin but as a stand alone processing object.

### setStartSlice

public void setStartSlice(int slice)

### setStopSlice

public void setStopSlice(int slice)

### setMethod

public void setMethod(int projMethod)

### getProjection

public ImagePlus getProjection()
Retrieve results of most recent projection operation.

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### run2

public void run2(ImagePlus img, String arg)

### doRGBProjection

public void doRGBProjection()

### doRGBProjection

public void doRGBProjection(boolean handleOverlay)

### buildControlDialog

protected GenericDialog buildControlDialog(int start, int stop)
Builds dialog to query users for projection parameters.

Parameters:
  `start` - starting slice to display
  `stop` - last slice

### doProjection

public void doProjection()
Performs actual projection using specified method.

### doProjection

public void doProjection(boolean handleOverlay)
Performs actual projection using specified method. If handleOverlay, adds stack overlay elements from startSlice to stopSlice to projection.

### doHyperStackProjection

public void doHyperStackProjection(boolean allTimeFrames)